# Response (sshj 0.7.0 API)
Date: 2012-01-08

## net.schmizz.sshj.sftp
Class Response

    java.lang.Object
      net.schmizz.sshj.common.Buffer<T>
          net.schmizz.sshj.sftp.SFTPPacket<Response>
              net.schmizz.sshj.sftp.Response

    public final class Response

extends SFTPPacket<Response>

Nested Class Summary
`static class` `Response.StatusCode`

Nested classes/interfaces inherited from class net.schmizz.sshj.common.Buffer
`Buffer.BufferException, Buffer.PlainBuffer`

Field Summary

Fields inherited from class net.schmizz.sshj.common.Buffer
`data, DEFAULT_SIZE, rpos, wpos`

Constructor Summary
`Response(Buffer<Response> pk, int protocolVersion)`

Method Summary
`Response` `ensurePacketTypeIs(PacketType pt)`
`Response` `ensureStatusIs(Response.StatusCode acceptable)`
`Response` `ensureStatusPacketIsOK()`
`protected String` `error(Response.StatusCode sc)`
`int` `getProtocolVersion()`
`long` `getRequestID()`
`PacketType` `getType()`
`Response.StatusCode` `readStatusCode()`

Methods inherited from class net.schmizz.sshj.sftp.SFTPPacket
`putFileAttributes, putType, readFileAttributes, readType`

Methods inherited from class net.schmizz.sshj.common.Buffer

`array, available, clear, compact, ensureAvailable, ensureCapacity, getCompactData, getNextPowerOf2, printHex, putBoolean, putBuffer, putByte, putBytes, putBytes, putMPInt, putPublicKey, putRawBytes, putRawBytes, putSensitiveString, putSignature, putString, putString, putString, putUInt32, putUInt64, readBoolean, readByte, readBytes, readMPInt, readPublicKey, readRawBytes, readRawBytes, readString, readStringAsBytes, readUInt32, readUInt32AsInt, readUInt64, rpos, rpos, toString, wpos, wpos`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Response

    public Response(Buffer<Response> pk,
                    int protocolVersion)
             throws SFTPException

Throws:
  `SFTPException`

Method Detail

### getProtocolVersion

    public int getProtocolVersion()

### getRequestID

    public long getRequestID()

### getType

    public PacketType getType()

### readStatusCode

    public Response.StatusCode readStatusCode()
                                       throws SFTPException

  Throws:
    `SFTPException`

### ensurePacketTypeIs

    public Response ensurePacketTypeIs(PacketType pt)
                                throws SFTPException

  Throws:
    `SFTPException`

### ensureStatusPacketIsOK

    public Response ensureStatusPacketIsOK()
                                    throws SFTPException

  Throws:
    `SFTPException`

### ensureStatusIs

    public Response ensureStatusIs(Response.StatusCode acceptable)
                            throws SFTPException

  Throws:
    `SFTPException`

### error

    protected String error(Response.StatusCode sc)
                    throws SFTPException

  Throws:
    `SFTPException`

Copyright © 2009-2012. All Rights Reserved.